Search documentation of ExStreamClient

# ExStreamClient.Model.UpdatePollRequest (ExStreamClient v0.1.10)

View Source

Schema representing a UpdatePollRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.UpdatePollRequest{
      allow_answers: boolean() | nil,
      allow_user_suggested_options: boolean() | nil,
      custom: %{optional(String.t()) => any()} | nil,
      description: String.t() | nil,
      enforce_unique_vote: boolean() | nil,
      id: String.t(),
      is_closed: boolean() | nil,
      max_votes_allowed: integer() | nil,
      name: String.t(),
      options: [ExStreamClient.Model.PollOptionRequest.t()] | nil,
      user: ExStreamClient.Model.UserRequest.t() | nil,
      user_id: String.t() | nil,
      voting_visibility: (:public | :anonymous) | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()